Get Contact by Company Id
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| company_id | string |
Required |
Body Parameters :
None.
Response Information
Resource Description :
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "cd12e59b-0bde-4232-9ddc-8c4d65dbc8fa",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "df33ee6a-561f-470d-ba06-566ebf1bb6b5",
"company_code": "sample string 5",
"company": {
"id": "123a9519-cae3-4634-a1e4-ab20ea99976a",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-10-16T18:21:49.140959+00:00",
"sales_territory_id": "21d6e77a-56f4-49c2-b0c4-ff2832d42e5e",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "1434a84d-23e4-447c-80e0-52463e89f122",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "a6375101-f431-4631-a40a-a27133d46d08",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "547d2447-f81b-42a4-a494-753a5457cbaa",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "22f289a2-4885-494d-8fd9-5d658ddd00fc",
"db_currency_id": "af0775aa-7b82-466a-825d-4cb31ed56ec7",
"db_language_id": "7623b8b4-3c8a-40ff-a84c-d16cd459ea0d",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-16T18:21:49.140959+00:00"
},
"modified_dateutc": "2026-10-16T18:21:49.140959+00:00"
},
"marketing_segment_id": "f3323231-15d3-479a-a548-37d8106e3ced",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "9f90b9ab-83b8-4c05-a8c5-fe518d547e9d",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "40326007-8807-4ebd-a2fa-9e5c5d42a16d",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "ac05a36c-b5b1-4da7-9a84-0742136d2d3b",
"db_country_code": "sample string 28",
"feelist_id": "1f47f731-6f35-4811-9c8c-a8a474500c31",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "4e47c0fb-df83-41ad-9d4a-adb74906b2cd",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "cae84db8-f7f1-4a0d-94de-cc5cf78b65d1",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-10-16T18:21:49.140959+00:00",
"db_currency_id": "e180fc96-78e2-4d12-84c0-8b8605ea0025",
"db_currency_code": "sample string 10"
},
"company_type_id": "a5d9a811-9d0d-4914-bd00-7621598989c6",
"company_type_name": "sample string 32",
"company_type": {
"id": "4abff0a0-a75a-4f54-ab84-d8cd75e54f74",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "498bb98a-eff5-4adc-9da1-4b5c68a4c116",
"sales_organization_code": "sample string 5"
},
"db_language_id": "28c7067e-472c-47e9-8b2e-cd5ac1f2214b",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "5abb6ae6-b723-4dd5-b824-fdc7e569e8cf",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "896e069e-ac0e-4807-b5e7-40db327bcc59",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "3c5df55b-5914-47a3-a001-4b482b077d0f",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-10-16T18:21:49.140959+00:00"
},
"company_sector_id": "e495369c-8966-4811-aae7-7f0cd90744ef",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "9fd8cde5-87cc-44f3-91d2-c71ac87e6a8a",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "f62185bf-7cf1-44f1-b2e9-3d46516d3f7a",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "8a564a6a-b2c7-42af-9016-2925065d6447",
"account_manager_user_code": "sample string 56",
"company_status_id": "1fdb4e9e-5464-4dc6-815a-e87a5e10a9f0",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-10-16T18:21:49.140959+00:00",
"id2": 60
},
"db_language_id": "aa3fc133-1413-464f-a896-b07cbef90dcf",
"db_language_code": "sample string 7",
"db_title_id": "d75a36a0-3451-46b7-8100-8aef79dd6482",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-10-16T18:21:49.140959+00:00",
"create_date": "2026-10-16T18:21:49.140959+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-10-16T18:21:49.140959+00:00"
}